import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class AppFonts {
  AppFonts._(); // Private constructor to prevent instantiation

  // --- Font Families ---
  static const String yekan = 'yekan';

  // --- Font Weights ---
  static const FontWeight regular = FontWeight.w400;
  static const FontWeight bold = FontWeight.w600;
  static const double _height = 1.20;

  static TextStyle yekan61 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 61.sp,
    height: _height,
  );

  static TextStyle yekan49 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 48.sp,
    height: _height,
  );

  static TextStyle yekan39 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 39.sp,
    height: _height,
  );

  static TextStyle yekan31 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 31.sp,
    height: _height,
  );

  static TextStyle yekan25 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 25.sp,
    height: _height,
  );

  static TextStyle yekan24 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 24.sp,
    height: _height,
  );

  static TextStyle yekan20 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 20.sp,
    height: _height,
  );

  static TextStyle yekan18 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 18.sp,
    height: _height,
  );

  static TextStyle yekan16 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 16.sp,
    height: _height,
  );

  static TextStyle yekan14 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 13.sp,
    height: _height,
  );



  static TextStyle yekan13 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 13.sp,
    height: _height,
  );


  static TextStyle yekan12 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 12.sp,
    height: _height,
  );


  static  TextStyle yekan10 = TextStyle(
    // Rounded from 10.24
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 10.sp,
    height: _height,
  );


  static  TextStyle yekan8= TextStyle(
    // Rounded from 10.24
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 8.sp,
    height: _height,
  );

  static  TextStyle yekan61Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 61.sp,
    height: _height,
  );

  static  TextStyle yekan49Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 48.sp,
    height: _height,
  );

  static  TextStyle yekan39Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 39.sp,
    height: _height,
  );

  static  TextStyle yekan31Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 31.sp,
    height: _height,
  );

  static  TextStyle yekan25Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 25.sp,
    height: _height,
  );

  static  TextStyle yekan24Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 24.sp,
    height: _height,
  );

  static  TextStyle yekan20Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 20.sp,
    height: _height,
  );


  static  TextStyle yekan18Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 18.sp,
    height: _height,
  );


  static  TextStyle yekan16Bold = TextStyle(
    // Base size bold
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 16.sp,
    height: _height,
  );


  static  TextStyle yekan14Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 13.sp,
    height: _height,
  );


  static  TextStyle yekan13Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 13.sp,
    height: _height,
  );

  static  TextStyle yekan12Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 12.sp,
    height: _height,
  );


  static  TextStyle yekan10Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 10.sp,
    height: _height,
  );
}
